class SearchResultItem {
  final String id;
  final String name;
  final String department;
  final String necessary_documents;
  final String office;
  final String price_of_service_and_payment_method;
  final String service_delivery_deadline;
  final String service_id;

  SearchResultItem({
    required this.id,
    required this.name,
    required this.department,
    required this.necessary_documents,
    required this.office,
    required this.price_of_service_and_payment_method,
    required this.service_delivery_deadline,
    required this.service_id,
  });

  factory SearchResultItem.fromJson(Map<String, dynamic> json) {
    return SearchResultItem(
      id: json['id'],
      name: json['name'],
      department: json['department'],
      necessary_documents: json['necessary_documents'],
      office: json['office'],
      price_of_service_and_payment_method:
          json['price_of_service_and_payment_method'],
      service_delivery_deadline: json['service_delivery_deadline'],
      service_id: json['service_id'],
    );
  }
}
