import 'dart:async';
import 'model.dart';
import 'package:flutter/widgets.dart';

typedef FutureOr<Iterable<T>> SuggestionsCallback<T>(String pattern);
typedef Widget ItemBuilder<T>(
    BuildContext context, Map<String, String> itemData);
typedef Widget SearchItemBuilder<T>(
    BuildContext context, Map<String, String> searchItemData);
typedef void SuggestionSelectionCallback<T>(Map<String, String> suggestion);
typedef void SearchResultCallback<T>(List<SearchResultItem> search);
typedef Widget ErrorBuilder(BuildContext context, Object? error);

typedef Widget AnimationTransitionBuilder(
    BuildContext context, Widget child, AnimationController? controller);
